Bug 855673 - dxdiag fails in wine emulationg Windows XP
dxdiag fails in wine emulationg Windows XP
Status: CLOSED DUPLICATE of bug 827776
Product: Fedora
Classification: Fedora
Component: wine (Show other bugs)
19
x86_64 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andreas Bierfert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-09 16:55 EDT by Peter H. Jones
Modified: 2013-09-06 11:02 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-06 11:02:19 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
winecfg output (17.18 KB, text/plain)
2013-08-20 09:10 EDT, Peter H. Jones
no flags Details
dxdiag output with wine-1.7.0-1.fc19.x86_64 and LIBGL_DEBUG=verbose (15.36 KB, text/plain)
2013-08-20 09:21 EDT, Peter H. Jones
no flags Details
typescript of winecfg, dxdiag and iexplore (15.49 KB, text/plain)
2013-09-05 10:19 EDT, Peter H. Jones
no flags Details

  None (edit)
Description Peter H. Jones 2012-09-09 16:55:36 EDT
Description of problem:
Want to run Orbiter program, which appears to require Directx

Version-Release number of selected component (if applicable):
wine-1.5.11-1.fc17.x86_64

How reproducible:
Every time

Steps to Reproduce:
1. Removed home .wine direcory
2. Wine boot
3. Wine configuragion/Applications/Emulation, selected Windows 7
4. In ~/.wine/drive_c, I ran:
wine windows/syswow64/dxdiag.exe

Actual results:err:winediag:X11DRV_WineGL_InitOpenglInfo Direct rendering is disabled, most likely your OpenGL drivers haven't been installed correctly (using GL renderer "Mesa DRI Intel(R) Sandybridge Mobile ", version "1.4 (2.1 Mesa 8.0.3)").
wine: Unhandled page fault on write access to 0x7de00000 at address 0xf75b2bcd (thread 0009), starting debugger...
Unhandled exception: page fault on write access to 0x7de00000 in 32-bit code (0xf75b2bcd).

When I closed the debugger, I got severall hundred lines of messages. Can provide that, if necessary.

Expected results:
Dxdiag should run.


Additional info:
Comment 1 Fedora End Of Life 2013-07-03 15:41:41 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Peter H. Jones 2013-07-22 11:19:27 EDT
Tried with wine-1.5.29 in FC18. With a non-existent .wine directory, I can't even get through wincfg without errors. I get the following, before the configuration screen appears:

"[jones@localhost ~]$ winecfg
wine: created the configuration directory '/home/jones/.wine'
fixme:storage:create_storagefile Storage share mode not implemented.
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
err:mscoree:LoadLibraryShim error reading registry key for installroot
fixme:storage:create_storagefile Storage share mode not implemented.
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:iphlpapi:NotifyAddrChange (Handle 0xf9e2c8, overlapped 0xf9e2e0): stub
p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory
fixme:storage:create_storagefile Storage share mode not implemented.
err:winediag:SECUR32_initNTLMSP ntlm_auth was not found or is outdated. Make sure that ntlm_auth >= 3.0.25 is in your path. Usually, you can find it in the winbind package of your distribution.
fixme:iphlpapi:NotifyAddrChange (Handle 0xf0e8d0, overlapped 0xf0e8dc): stub
wine: configuration in '/home/jones/.wine' has been updated.
p11-kit: couldn't load module: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: /usr/lib/pkcs11/gnome-keyring-pkcs11.so: cannot open shared object file: No such file or directory"

My emulation mode is set to Windows XP. Do I need to resolve there errors before I can run Orbiter?
Comment 3 Peter H. Jones 2013-08-20 09:10:42 EDT
Created attachment 788497 [details]
winecfg output

Tried winecfg under wine wine-1.7.0-1.fc19.x86_64, with fresh wine directory, and not changing any defaults. Sound works.
Comment 4 Peter H. Jones 2013-08-20 09:21:21 EDT
Created attachment 788498 [details]
dxdiag output with wine-1.7.0-1.fc19.x86_64 and LIBGL_DEBUG=verbose

dxdiag is producing many error messages with openGL.
Comment 5 Andreas Bierfert 2013-08-31 11:43:55 EDT
Please try with mesi-drivers-dri(x86-32) package installed and see if this fixes your problem.
Comment 6 Peter H. Jones 2013-08-31 18:44:04 EDT
I hope to do that next week.
Comment 7 Peter H. Jones 2013-09-05 10:19:35 EDT
Created attachment 794284 [details]
typescript of winecfg, dxdiag and iexplore

mesa-drivers-dri got installed this morning as a result of updating.

dxdiag is no longer crashing, but I was expecting informative output, which I did not see.

iexplore runs, but produces a number of error messages. I was able to see the winehq default site, and the shortlog of the latest changes.
Comment 8 Peter H. Jones 2013-09-05 10:22:26 EDT
Regarding comment 5, I installed mesa-dri-drivers-9.2-1.20130902.fc19.x86_64 . So I have:

mesa-libEGL-9.2-1.20130902.fc19.x86_64
mesa-libGL-9.2-1.20130902.fc19.i686
mesa-dri-drivers-9.2-1.20130902.fc19.x86_64
mesa-libOSMesa-devel-9.2-1.20130902.fc19.x86_64
mesa-libGL-9.2-1.20130902.fc19.x86_64
mesa-libwayland-egl-9.2-1.20130902.fc19.x86_64
mesa-dri-drivers-9.2-1.20130902.fc19.i686
mesa-libGL-devel-9.2-1.20130902.fc19.x86_64
mesa-libGLU-9.0.0-2.fc19.i686
mesa-libgbm-9.2-1.20130902.fc19.x86_64
mesa-libGLES-9.2-1.20130902.fc19.x86_64
mesa-libEGL-9.2-1.20130902.fc19.i686
mesa-libGLU-devel-9.0.0-2.fc19.x86_64
mesa-filesystem-9.2-1.20130902.fc19.x86_64
mesa-libglapi-9.2-1.20130902.fc19.x86_64
mesa-libEGL-devel-9.2-1.20130902.fc19.x86_64
mesa-libglapi-9.2-1.20130902.fc19.i686
mesa-filesystem-9.2-1.20130902.fc19.i686
mesa-libGLU-9.0.0-2.fc19.x86_64
mesa-libxatracker-9.2-1.20130902.fc19.x86_64
mesa-libOSMesa-9.2-1.20130902.fc19.x86_64
mesa-libgbm-9.2-1.20130902.fc19.i686

and

wine-wow-1.7.1-2.fc19.x86_64
wine-systemd-1.7.1-2.fc19.noarch
wine-openal-1.7.1-2.fc19.i686
wine-core-1.7.1-2.fc19.x86_64
wine-fixedsys-fonts-1.7.1-2.fc19.noarch
wine-core-1.7.1-2.fc19.i686
wine-tahoma-fonts-1.7.1-2.fc19.noarch
wine-ms-sans-serif-fonts-1.7.1-2.fc19.noarch
wine-cms-1.7.1-2.fc19.x86_64
wine-desktop-1.7.1-2.fc19.x86_64
wine-ldap-1.7.1-2.fc19.i686
mingw64-wine-gecko-2.21-3.fc19.noarch
wine-1.7.1-2.fc19.x86_64
wine-mono-0.0.8-1.fc19.noarch
wine-system-fonts-1.7.1-2.fc19.noarch
wine-fonts-1.7.1-2.fc19.noarch
wine-alsa-1.7.1-2.fc19.x86_64
wine-capi-1.7.1-2.fc19.x86_64
wine-symbol-fonts-1.7.1-2.fc19.noarch
wine-cms-1.7.1-2.fc19.i686
wine-ldap-1.7.1-2.fc19.x86_64
wine-wingdings-fonts-1.7.1-2.fc19.noarch
wine-small-fonts-1.7.1-2.fc19.noarch
wine-pulseaudio-1.7.1-2.fc19.i686
wine-filesystem-1.7.1-2.fc19.noarch
wine-openal-1.7.1-2.fc19.x86_64
wine-marlett-fonts-1.7.1-2.fc19.noarch
wine-capi-1.7.1-2.fc19.i686
wine-common-1.7.1-2.fc19.noarch
wine-twain-1.7.1-2.fc19.i686
mingw32-wine-gecko-2.21-3.fc19.noarch
wine-pulseaudio-1.7.1-2.fc19.x86_64
wine-courier-fonts-1.7.1-2.fc19.noarch
wine-twain-1.7.1-2.fc19.x86_64
Comment 9 Michael Cronenworth 2013-09-05 10:26:33 EDT
(In reply to Peter H. Jones from comment #7)
> dxdiag is no longer crashing, but I was expecting informative output, which
> I did not see.

Wine provides a dxdiag binary. It is not 100% equivalent to the Microsoft binary.

> iexplore runs, but produces a number of error messages. I was able to see
> the winehq default site, and the shortlog of the latest changes.

Your console output looks normal. If you wish to hide the Wine debug messages you can set WINEDEBUG=-all.
Comment 10 Andreas Bierfert 2013-09-06 11:02:19 EDT
Thanks for reporting. The original problem is a duplicate which is closed by the current update.

*** This bug has been marked as a duplicate of bug 827776 ***

Note You need to log in before you can comment on or make changes to this bug.